当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 求助:64位安装32位运行库失败
帖子发表于 : 2013-11-23 1:22 

注册: 2011-03-07 17:24
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
我想安装wine,需要一大堆的32位运行库

于是,我就进行以下操作:
vergil@StamfordBridge:~$ sudo apt-get install ia32-libs
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是 unstable 发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们已被从新到(Incoming)目录移出。
下列信息可能会对解决问题有所帮助:

下列软件包有未满足的依赖关系:
ia32-libs : 依赖: ia32-libs-multiarch
E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。

vergil@StamfordBridge:~$ sudo apt-get install ia32-libs-multiarch
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是 unstable 发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们已被从新到(Incoming)目录移出。
下列信息可能会对解决问题有所帮助:

下列软件包有未满足的依赖关系:
ia32-libs-multiarch:i386 : 依赖: bluez-alsa:i386 但是它将不会被安装
依赖: libgettextpo0:i386 但是它将不会被安装
依赖: gstreamer0.10-plugins-base:i386 但是它将不会被安装
依赖: gstreamer0.10-plugins-good:i386 但是它将不会被安装
依赖: gtk2-engines:i386 但是它将不会被安装
依赖: gtk2-engines-murrine:i386 但是它将不会被安装
依赖: gtk2-engines-pixbuf:i386 但是它将不会被安装
依赖: gtk2-engines-oxygen:i386 但是它将不会被安装
依赖: gvfs:i386 但是它将不会被安装
依赖: ibus-gtk:i386 但是它将不会被安装
依赖: libacl1:i386 但是它将不会被安装
依赖: libao4:i386 但是它将不会被安装
依赖: libasound2:i386 但是它将不会被安装
依赖: libasound2-plugins:i386 但是它将不会被安装
依赖: libasyncns0:i386 但是它将不会被安装
依赖: libattr1:i386 但是它将不会被安装
依赖: libaudio2:i386 但是它将不会被安装
依赖: libcanberra-gtk-module:i386 但是它将不会被安装
依赖: libcap2:i386 但是它将不会被安装
依赖: libcapi20-3:i386 但是它将不会被安装
依赖: libcups2:i386 但是它将不会被安装
依赖: libcupsimage2:i386 但是它将不会被安装
依赖: libcurl3:i386 但是它将不会被安装
依赖: libdbus-glib-1-2:i386 但是它将不会被安装
依赖: libesd0:i386 但是它将不会被安装
依赖: libfontconfig1:i386 但是它将不会被安装
依赖: libfreetype6:i386 但是它将不会被安装
依赖: libgail-common:i386 但是它将不会被安装
依赖: libgconf-2-4:i386 但是它将不会被安装
依赖: libgdbm3:i386 但是它将不会被安装
依赖: libglapi-mesa:i386
依赖: libglu1-mesa:i386 但是它将不会被安装
依赖: libgphoto2-2:i386 但是它将不会被安装
依赖: libgphoto2-port0:i386 但是它将不会被安装
依赖: libgtk2.0-0:i386 但是它将不会被安装
依赖: libmpg123-0:i386 但是它将不会被安装
依赖: libncursesw5:i386 但是它将不会被安装
依赖: libnspr4:i386 但是它将不会被安装
依赖: libnss3:i386 但是它将不会被安装
依赖: libodbc1:i386 但是它将不会被安装
依赖: libopenal1:i386 但是它将不会被安装
依赖: libpulse-mainloop-glib0:i386 但是它将不会被安装
依赖: libqt4-dbus:i386 但是它将不会被安装
依赖: libqt4-network:i386 但是它将不会被安装
依赖: libqt4-opengl:i386 但是它将不会被安装
依赖: libqt4-qt3support:i386 但是它将不会被安装
依赖: libqt4-script:i386 但是它将不会被安装
依赖: libqt4-scripttools:i386 但是它将不会被安装
依赖: libqt4-sql:i386 但是它将不会被安装
依赖: libqt4-svg:i386 但是它将不会被安装
依赖: libqt4-test:i386 但是它将不会被安装
依赖: libqt4-xml:i386 但是它将不会被安装
依赖: libqt4-xmlpatterns:i386 但是它将不会被安装
依赖: libqtcore4:i386 但是它将不会被安装
依赖: libqtgui4:i386 但是它将不会被安装
依赖: libqtwebkit4:i386 但是它将不会被安装
依赖: librsvg2-common:i386 但是它将不会被安装
依赖: libsane:i386 但是它将不会被安装
依赖: libsdl-mixer1.2:i386 但是它将不会被安装
依赖: libsdl-image1.2:i386 但是它将不会被安装
依赖: libsdl-net1.2:i386 但是它将不会被安装
依赖: libsdl-ttf2.0-0:i386 但是它将不会被安装
依赖: libsdl1.2debian:i386 但是它将不会被安装
依赖: libsqlite3-0:i386 但是它将不会被安装
依赖: libssl0.9.8:i386 但是它将不会被安装
依赖: libssl1.0.0:i386 但是它将不会被安装
依赖: libstdc++5:i386 但是它将不会被安装
依赖: libstdc++6:i386 但是它将不会被安装
依赖: libxaw7:i386 但是它将不会被安装
依赖: libxml2:i386 但是它将不会被安装
依赖: libxp6:i386 但是它将不会被安装
依赖: libxslt1.1:i386 但是它将不会被安装
依赖: libxss1:i386 但是它将不会被安装
依赖: libxtst6:i386 但是它将不会被安装
依赖: odbcinst1debian2:i386 但是它将不会被安装
依赖: libpulsedsp:i386 但是它将不会被安装
依赖: xaw3dg:i386 但是它将不会被安装
推荐: libgl1-mesa-glx:i386
推荐: libgl1-mesa-dri:i386
E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。

请高手帮帮我解决一下,无限感激


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 求助:64位安装32位运行库失败
帖子发表于 : 2013-11-23 1:59 

注册: 2011-03-07 17:24
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
另外,用aptitude安装wine提示如下:

vergil@StamfordBridge:~$ sudo aptitude install wine
下列“新”软件包将被安装。
cabextract{a} fonts-droid{a} gcc-4.6-base:i386{a} gettext:i386{ab}
gettext-base:i386{ab} gnome-exe-thumbnailer{a} icoutils{a}
libasn1-8-heimdal:i386{a} libasound2:i386{a} libavahi-client3:i386{a}
libavahi-common-data:i386{a} libavahi-common3:i386{a} libc6:i386{ab}
libcapi20-3{a} libcapi20-3:i386{a} libcomerr2:i386{a} libcroco3:i386{a}
libcups2:i386{a} libdb5.1:i386{a} libdbus-1-3:i386{a}
libdrm-intel1:i386{a} libdrm-nouveau2:i386{a} libdrm-radeon1:i386{a}
libdrm2:i386{a} libexif12:i386{a} libexpat1:i386{a} libffi6:i386{a}
libfontconfig1:i386{a} libfreetype6:i386{a} libgcc1:i386{a}
libgcrypt11:i386{a} libgd2-xpm:i386{a} libgettextpo0:i386{a}
libgif4:i386{a} libgl1-mesa-dri-lts-raring:i386{a}
libgl1-mesa-glx-lts-raring:i386{a} libglapi-mesa-lts-raring:i386{a}
libglib2.0-0:i386{a} libglu1-mesa:i386{a} libgnutls26:i386{a}
libgomp1:i386{a} libgpg-error0:i386{a} libgphoto2-2:i386{a}
libgphoto2-port0:i386{a} libgpm2:i386{a} libgssapi-krb5-2:i386{a}
libgssapi3-heimdal:i386{a} libgstreamer-plugins-base0.10-0:i386{a}
libgstreamer0.10-0:i386{a} libhcrypto4-heimdal:i386{a}
libheimbase1-heimdal:i386{a} libheimntlm0-heimdal:i386{a}
libhx509-5-heimdal:i386{a} libice6:i386{a} libieee1284-3:i386{a}
libjpeg-turbo8:i386{a} libjpeg8:i386{a} libk5crypto3:i386{a}
libkeyutils1:i386{a} libkrb5-26-heimdal:i386{a} libkrb5-3:i386{a}
libkrb5support0:i386{a} liblcms1:i386{a} libldap-2.4-2:i386{a}
libllvm3.2:i386{a} libltdl7:i386{a} libmpg123-0{a} libmpg123-0:i386{a}
libncurses5:i386{a} libopenal-data{a} libopenal1{a} libopenal1:i386{a}
liborc-0.4-0:i386{a} libp11-kit0:i386{a} libpam-winbind{a}
libpciaccess0:i386{a} libpcre3:i386{a} libpng12-0:i386{a}
libroken18-heimdal:i386{a} libsane:i386{a} libsasl2-2:i386{a}
libsasl2-modules:i386{a} libselinux1:i386{a} libsm6:i386{a}
libsqlite3-0:i386{a} libssl1.0.0:i386{a} libstdc++6:i386{a}
libtasn1-3:i386{a} libtiff4:i386{a} libtinfo5:i386{a}
libtxc-dxtn-s2tc0:i386{a} libunistring0:i386{a} libusb-0.1-4:i386{a}
libuuid1:i386{a} libv4l-0:i386{a} libv4lconvert0:i386{a}
libwind0-heimdal:i386{a} libx11-6:i386{a} libx11-xcb1:i386{a}
libxau6:i386{a} libxcb-dri2-0:i386{a} libxcb-glx0:i386{a} libxcb1:i386{a}
libxcomposite1:i386{a} libxcursor1:i386{a} libxdamage1:i386{a}
libxdmcp6:i386{a} libxext6:i386{a} libxfixes3:i386{a} libxi6:i386{a}
libxinerama1:i386{a} libxml2:i386{ab} libxpm4:i386{a} libxrandr2:i386{a}
libxrender1:i386{a} libxslt1.1:i386{a} libxt6:i386{a} libxxf86vm1:i386{a}
ttf-droid{a} ttf-mscorefonts-installer{a} ttf-umefont{a}
ttf-unfonts-core{a} winbind{a} wine wine-gecko1.4{a}
wine-gecko1.4:i386{a} wine1.4{a} wine1.4-amd64{a} wine1.4-common{a}
wine1.4-i386:i386{a} winetricks{a} zlib1g:i386{a}
0 个软件包被升级,新安装 132 个, 0 个将被删除, 同时 1 个将不升级。
需要获取 15.8 MB/117 MB 的存档。 解包后将要使用 375 MB。
下列软件包存在未满足的依赖关系:
gettext-base : 冲突: gettext-base:i386 但是 0.18.1.1-5ubuntu3 将被安装。
gettext-base:i386 : 冲突: gettext-base 但是 0.18.1.1-5ubuntu3 已安装。
gettext : 冲突: gettext:i386 但是 0.18.1.1-5ubuntu3 将被安装。
gettext:i386 : 冲突: gettext 但是 0.18.1.1-5ubuntu3 已安装。
libxml2 : 破坏: libxml2:i386 (!= 2.9.0+dfsg1-4ubuntu4.3) 但是 2.7.8.dfsg-5.1ubuntu4.6 将被安装。
libxml2:i386 : 破坏: libxml2 (!= 2.7.8.dfsg-5.1ubuntu4.6) 但是 2.9.0+dfsg1-4ubuntu4.3 已安装。
libc6 : 破坏: libc6:i386 (!= 2.17-0ubuntu5.1) 但是 2.15-0ubuntu10.5 将被安装。
libc6:i386 : 破坏: libc6 (!= 2.15-0ubuntu10.5) 但是 2.17-0ubuntu5.1 已安装。
打开:150;关闭;309;defer: 97; 冲突;215 oy下列动作将解决这些依赖关系:

保持 下列软件包于其当前版本:
1) gettext:i386 [未安装的]
2) gettext-base:i386 [未安装的]
3) libasn1-8-heimdal:i386 [未安装的]
4) libasound2:i386 [未安装的]
5) libavahi-client3:i386 [未安装的]
6) libavahi-common3:i386 [未安装的]
7) libc6:i386 [未安装的]
8) libcapi20-3:i386 [未安装的]
9) libcomerr2:i386 [未安装的]
10) libcroco3:i386 [未安装的]
11) libcups2:i386 [未安装的]
12) libdb5.1:i386 [未安装的]
13) libdbus-1-3:i386 [未安装的]
14) libdrm-intel1:i386 [未安装的]
15) libdrm-nouveau2:i386 [未安装的]
16) libdrm-radeon1:i386 [未安装的]
17) libdrm2:i386 [未安装的]
18) libexif12:i386 [未安装的]
19) libexpat1:i386 [未安装的]
20) libffi6:i386 [未安装的]
21) libfontconfig1:i386 [未安装的]
22) libfreetype6:i386 [未安装的]
23) libgcc1:i386 [未安装的]
24) libgcrypt11:i386 [未安装的]
25) libgd2-xpm:i386 [未安装的]
26) libgettextpo0:i386 [未安装的]
27) libgif4:i386 [未安装的]
28) libgl1-mesa-dri-lts-raring:i386 [未安装的]
29) libgl1-mesa-glx-lts-raring:i386 [未安装的]
30) libglapi-mesa-lts-raring:i386 [未安装的]
31) libglib2.0-0:i386 [未安装的]
32) libglu1-mesa:i386 [未安装的]
33) libgnutls26:i386 [未安装的]
34) libgomp1:i386 [未安装的]
35) libgpg-error0:i386 [未安装的]
36) libgphoto2-2:i386 [未安装的]
37) libgphoto2-port0:i386 [未安装的]
38) libgpm2:i386 [未安装的]
39) libgssapi-krb5-2:i386 [未安装的]
40) libgssapi3-heimdal:i386 [未安装的]
41) libgstreamer-plugins-base0.10-0:i386 [未安装的]
42) libgstreamer0.10-0:i386 [未安装的]
43) libhcrypto4-heimdal:i386 [未安装的]
44) libheimbase1-heimdal:i386 [未安装的]
45) libheimntlm0-heimdal:i386 [未安装的]
46) libhx509-5-heimdal:i386 [未安装的]
47) libice6:i386 [未安装的]
48) libieee1284-3:i386 [未安装的]
49) libjpeg-turbo8:i386 [未安装的]
50) libjpeg8:i386 [未安装的]
51) libk5crypto3:i386 [未安装的]
52) libkeyutils1:i386 [未安装的]
53) libkrb5-26-heimdal:i386 [未安装的]
54) libkrb5-3:i386 [未安装的]
55) libkrb5support0:i386 [未安装的]
56) liblcms1:i386 [未安装的]
57) libldap-2.4-2:i386 [未安装的]
58) libllvm3.2:i386 [未安装的]
59) libltdl7:i386 [未安装的]
60) libmpg123-0:i386 [未安装的]
61) libncurses5:i386 [未安装的]
62) libopenal1:i386 [未安装的]
63) liborc-0.4-0:i386 [未安装的]
64) libp11-kit0:i386 [未安装的]
65) libpciaccess0:i386 [未安装的]
66) libpcre3:i386 [未安装的]
67) libpng12-0:i386 [未安装的]
68) libroken18-heimdal:i386 [未安装的]
69) libsane:i386 [未安装的]
70) libsasl2-2:i386 [未安装的]
71) libsasl2-modules:i386 [未安装的]
72) libselinux1:i386 [未安装的]
73) libsm6:i386 [未安装的]
74) libsqlite3-0:i386 [未安装的]
75) libssl1.0.0:i386 [未安装的]
76) libstdc++6:i386 [未安装的]
77) libtasn1-3:i386 [未安装的]
78) libtiff4:i386 [未安装的]
79) libtinfo5:i386 [未安装的]
80) libtxc-dxtn-s2tc0:i386 [未安装的]
81) libunistring0:i386 [未安装的]
82) libusb-0.1-4:i386 [未安装的]
83) libuuid1:i386 [未安装的]
84) libv4l-0:i386 [未安装的]
85) libv4lconvert0:i386 [未安装的]
86) libwind0-heimdal:i386 [未安装的]
87) libx11-6:i386 [未安装的]
88) libx11-xcb1:i386 [未安装的]
89) libxau6:i386 [未安装的]
90) libxcb-dri2-0:i386 [未安装的]
91) libxcb-glx0:i386 [未安装的]
92) libxcb1:i386 [未安装的]
93) libxcomposite1:i386 [未安装的]
94) libxcursor1:i386 [未安装的]
95) libxdamage1:i386 [未安装的]
96) libxdmcp6:i386 [未安装的]
97) libxext6:i386 [未安装的]
98) libxfixes3:i386 [未安装的]
99) libxi6:i386 [未安装的]
100) libxinerama1:i386 [未安装的]
101) libxml2:i386 [未安装的]
102) libxpm4:i386 [未安装的]
103) libxrandr2:i386 [未安装的]
104) libxrender1:i386 [未安装的]
105) libxslt1.1:i386 [未安装的]
106) libxt6:i386 [未安装的]
107) libxxf86vm1:i386 [未安装的]
108) wine [未安装的]
109) wine1.4 [未安装的]
110) wine1.4-amd64 [未安装的]
111) wine1.4-common [未安装的]
112) wine1.4-i386:i386 [未安装的]
113) zlib1g:i386 [未安装的]

保留下列未解决的依赖关系:
114) wine-gecko1.4 推荐 wine1.4-amd64
115) winetricks 推荐 wine1.4 | wine | cxoffice5 | cxgames5
116) libncurses5:i386 推荐 libgpm2:i386
117) wine-gecko1.4:i386 推荐 wine1.4-i386:i386
118) libgl1-mesa-glx-lts-raring:i386 推荐 libgl1-mesa-dri-lts-raring:i386 (>=
119) wine1.4-i386:i386 推荐 gettext:i386
120) wine1.4-i386:i386 推荐 libcapi20-3:i386
121) wine1.4-i386:i386 推荐 libdbus-1-3:i386
122) wine1.4-i386:i386 推荐 libfontconfig1:i386 | libfontconfig:i386
123) wine1.4-i386:i386 推荐 libfreetype6:i386
124) wine1.4-i386:i386 推荐 libgif4:i386
125) wine1.4-i386:i386 推荐 libpng12-0:i386
126) wine1.4-i386:i386 推荐 libsane:i386
127) wine1.4-i386:i386 推荐 libssl1.0.0:i386
128) wine1.4-i386:i386 推荐 libtiff4:i386
129) wine1.4-i386:i386 推荐 libv4l-0:i386
130) wine1.4-i386:i386 推荐 libxcomposite1:i386
131) wine1.4-i386:i386 推荐 libxcursor1:i386
132) wine1.4-i386:i386 推荐 libxi6:i386
133) wine1.4-i386:i386 推荐 libxinerama1:i386
134) wine1.4-i386:i386 推荐 libxrandr2:i386
135) wine1.4-i386:i386 推荐 libxrender1:i386
136) wine1.4-i386:i386 推荐 libxslt1.1:i386
137) wine1.4-i386:i386 推荐 libxt6:i386
138) wine1.4-i386:i386 推荐 libxxf86vm1:i386


是否接受该解决方案?[Y/n/q/?] y
将不会安装,升级或者删除任何软件包。
0 个软件包被升级,新安装 0 个, 0 个将被删除, 同时 1 个将不升级。
需要获取 0 B 的存档。 解包后将要使用 0 B。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Youdao FeedFetcher 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译